#
# spec file for package intel-igb (Version 5.0.5)
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

Name:           intel-igb
Summary:        Intel(R) 82575/82576 PCI-Express Gigabit Ethernet driver
Version:        5.0.5
Release:        5.1
Source0:        igb-%{version}.tar.bz2
Source1:        preamble
Patch1:         fix-pci-updates.patch
License:        GPL v2 or later
Group:          System/Kernel
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  pciutils-ids
Requires:       pciutils-ids
Url:            http://sourceforge.net/projects/e1000/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package -p %_sourcedir/preamble

%description
This driver supports Intel(R) 82575/82576 gigabit ethernet family of
adapters.  For more information on how to identify your adapter, go
to the Adapter & Driver ID Guide at:

<http://support.intel.com/support/network/adapter/pro100/21397.htm>

For general information and support, go to the Intel support
website at: <http://support.intel.com>

More specific information on configuring the driver is in
/usr/share/doc/packages/intel-igb/README

The driver is delivered in multiple binary packages.
The 'intel-igb' base package provides the common driver documentation, and
updates to the pciutils pci-ids database. The 'intel-igb-kmp-<flavor>'
sub-packages provide the kernel modules for the specific kernel flavors.

%package KMP

Summary:     Intel(R) 82575/82576 PCI-Express Gigabit Ethernet driver
Group:       System/Kernel

%description KMP
This driver supports Intel(R) 82575/82576 gigabit ethernet family of
adapters.  For more information on how to identify your adapter, go
to the Adapter & Driver ID Guide at:

<http://support.intel.com/support/network/adapter/pro100/21397.htm>

For general information and support, go to the Intel support
website at: <http://support.intel.com>

More specific information on configuring the driver is in
/usr/share/doc/packages/intel-igb/README

This sub-package provides the kernel module(s) for the specific kernel flavor as
indicated by the 'intel-igb-kmp-<flavor>' package name. Driver documentation and
updates to the pciutils pci-ids database are provided by the 'intel-igb' base
package.

%prep
%setup -n igb-%{version}
%patch1 -p1
set -- *
mv src source
echo "igb.ko external" > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done
mkdir -p $RPM_BUILD_ROOT/usr/share/pci.ids.d
install -D -m 644 pci.updates $RPM_BUILD_ROOT/usr/share/pci.ids.d/pci.ids.%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 -D igb.7 $RPM_BUILD_ROOT/%{_mandir}/man7
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man?/*.?

chmod -x COPYING README

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_mandir}/man7/igb.7.gz
/usr/share/pci.ids.d/pci.ids.%{name}-%{version}
%doc COPYING 
%doc README

%post 
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%postun
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi
%changelog
* Tue Oct 15 2013 sbahling@suse.com
- fix-pci-updates.patch (bnc#828780) - Missing space caused parse
  error with lspci
* Wed Aug 14 2013 sbahling@suse.com
- Update package summary and description
* Wed Aug 14 2013 sbahling@suse.com
- Initial SUSE PLDP build of automatic source pull from e1000.sf.net
  Pulled from http://switch.dl.sourceforge.net/project/e1000/
    igb%%20stable/5.0.5/igb-5.0.5.tar.gz
- Release README:
  Changelog for igb-5.0.5
  * Add new i354 device support, including AutoMedia Detect on supported
  platforms.
  * Media Auto Sense feature for hardware configured for it, including
  special EEPROM on 82580 devices only.
  * Fix for compile errors on older distro's and newest upstream.
  * Update MTU so that is always at least a standard frame size.
  * Fix for MDD in i350.
  * Added support to set EEE-advertisements via ethtool.
  * Other EEE-related fixes.
  * Fix for flow control configuration on SGMII connection.
  * Fix for i2c lockdep warning.
  * add setlink, getlink support
